Merchant exercises the Mandate (Recurring payments)
After the Mandate is successful, Merchant will receive a mandate_id from Juspay that should be stored against a customer at their end. From the subsequent charge transactions, Merchant is supposed to pass a combination of customer_id and mandate_id to do a charge without a 2nd factor. This API will create order and will charge it based on the mandate_id passed by the merchant.
In case of Credit Cards, the charge is real time, so status can be CHARGED or AUTHORISATION_FAILED. In the case of e-mandate (netbanking / aadhaar), this might be PENDING_VBV, for which Merchant should poll after the appropriate time.
Consists of two parts.
Username: API Key obtained from Juspay dashboard
Password: Empty string
Example:- Basic MUQ2QUxxxxxxxxxxxxU5QTIxQzNFNTQwNkFDMEZCOg==
application/x-www-form-urlencoded
We recommend passing the customer_id as the x-routing-id. If the customer is checking out as a guest, you can pass an alternative ID that helps track the payment session lifecycle. For example, this could be an Order ID or Cart ID.
This ID is associated with the customer. It plays a key role in ensuring consistency and maintaining connections across different systems. If you fail to pass the same x-routing-id for the same customer in all related API calls, it could lead to issues with API functionality. Therefore, it’s crucial that you use the same x-routing-id for all requests tied to the same customer.
Example:- customer_1122
Unique Identifier for the order.
This is the amount that a customer will be charge in this transaction.
ISO string of the currency. Use INR for Indian Rupee. Among other accepted values are EUR, USD, GBP. Default value: INR
Customer Identifier against which a mandate was created.
Email address of the customer. If the backend gateway requires it, then you must send this value.
Mobile number or fixed line number of the customer. If the backend gateway requires it, then you must
Short description for the order. We send this information to the backend gateways whenever there is a provision for this.
A fully qualified URL such as http://shop.merchant.com/ to which the customer will be redirected after payment completion. This URL shouldn’t contain any query parameters. This URL takes higher precedence over the common return URL configured in your account settings.
An identifier for the product. Fits well for impulse purchase usecases
First name in the billing address
Last name in the billing address
Line1 in the billing address
Line2 in the billing address
Line3 in the billing address
Billing address city
Billing address state
Billing address country
Billing address postal code or zip code
Mobile or phone number in the billing address
ISO Country code. Default value: IND
First name in the shipping address
Last name in the shipping address
Line1 in the shipping address
Line2 in the shipping address
Line3 in the shipping address
Shipping address city
Shipping address state
Shipping address country
Shipping address postal code or zip code
Mobile or phone number in the shipping address
ISO Country code. Default value: IND
Mandate id sent by Juspay after mandate creation
eul81DBJR2Yv6gjZ7ue
Transaction Id for the payment
Status of the transaction. See appendix.
HTTP Method for authentication. Can be one of GET or POST
URL to which the user has to be taken to for completing the authentication
OrderID for which the payment is being started.

